BlockConstructionStage (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.datatransfer, enum: BlockConstructionStage

Package org.apache.hadoop.hdfs.protocol.datatransfer

# Enum Class BlockConstructionStage

java.lang.Object
java.lang.Enum<BlockConstructionStage>
org.apache.hadoop.hdfs.protocol.datatransfer.BlockConstructionStage

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockConstructionStage>`, `Constable`

@Private @Evolving public enum BlockConstructionStage extends Enum<BlockConstructionStage>
Block Construction Stage

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATA_STREAMING`
  `PIPELINE_CLOSE`
  `PIPELINE_CLOSE_RECOVERY`
  `PIPELINE_SETUP_APPEND`
  The enumerates are always listed as regular stage followed by the recovery stage.
  `PIPELINE_SETUP_APPEND_RECOVERY`
  `PIPELINE_SETUP_CREATE`
  `PIPELINE_SETUP_STREAMING_RECOVERY`
  `TRANSFER_FINALIZED`
  `TRANSFER_RBW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BlockConstructionStage`
  `getRecoveryStage()`
  get the recovery stage of this stage
  `static BlockConstructionStage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlockConstructionStage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PIPELINE_SETUP_APPEND

    public static final BlockConstructionStage PIPELINE_SETUP_APPEND
    The enumerates are always listed as regular stage followed by the recovery stage. Changing this order will make getRecoveryStage not working.

  - ### PIPELINE_SETUP_APPEND_RECOVERY

    public static final BlockConstructionStage PIPELINE_SETUP_APPEND_RECOVERY

  - ### DATA_STREAMING

    public static final BlockConstructionStage DATA_STREAMING

  - ### PIPELINE_SETUP_STREAMING_RECOVERY

    public static final BlockConstructionStage PIPELINE_SETUP_STREAMING_RECOVERY

  - ### PIPELINE_CLOSE

    public static final BlockConstructionStage PIPELINE_CLOSE

  - ### PIPELINE_CLOSE_RECOVERY

    public static final BlockConstructionStage PIPELINE_CLOSE_RECOVERY

  - ### PIPELINE_SETUP_CREATE

    public static final BlockConstructionStage PIPELINE_SETUP_CREATE

  - ### TRANSFER_RBW

    public static final BlockConstructionStage TRANSFER_RBW

  - ### TRANSFER_FINALIZED

    public static final BlockConstructionStage TRANSFER_FINALIZED

- ## Method Details

  - ### values

    public static BlockConstructionStage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlockConstructionStage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getRecoveryStage

    public BlockConstructionStage getRecoveryStage()
    get the recovery stage of this stage